Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Fri, 09 Apr 2021 16:59:31 -0400

martin rudalics <[email-masked]> writes:

>> I hit the breakpoint in quit.  It looks like Fnconc uses FOR_EACH_TAIL,
>> which uses FOR_EACH_TAIL_INTENAL, which calls maybe_quit.
>
> Not just around the corner but near.  Well done.
>
>> The question
>> in my mind now is whether block/unblock_input belongs in window_list or
>> in Fnconc.
>
> In window_list and we then should bind inhibit_quit IIUC.  Fnconc must be
> able to deal with circular lists.  I attach a patch.

I've tried to recreate a problem with this patch and have successfully
failed.  I'll continue using it for a few days, and I will let you know
if I see any problems, but I think that protecting window_list() from
quit fixes the problem(s) I reported.

-- 
Michael Welsh Duggan
([email-masked])